#include <bits/stdc++.h>

using namespace std;

vector<int> solve(vector<int> a){
    /*vector<pair<int,int>> b(n,{-1,-1});
    for(int i=0;i<n;i++){
        b[i] = {a[i],i};
    }
    sort(b.begin(),b.end());*/

    vector<int> ans(n,-1);
    for(int i=0;i<n;i++){
        ans[i]=n-1-i;
    }
}